dev-php / composer

Dependency Manager for PHP

Official package sites : https://github.com/composer/composer ·

Composer is a tool for dependency management in PHP. It allows you to declare the libraries your project depends on and it will manage (install/update) them for you.

v1.9.0 :: 0 :: gentoo

Modified
License
MIT
Keywords
~amd64 ~x86
USE flags
test

v1.8.6 :: 0 :: gentoo

Modified
License
MIT
Keywords
~amd64 ~x86
USE flags
test

General

test
Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled independently)

dev-lang / php : The PHP language runtime engine

dev-php / ca-bundle : Find the system CA bundle or fall back to the Mozilla one

dev-php / fedora-autoloader : Fedora's Static PSR-4, PSR-0, and classmap autoloader

dev-php / json-schema : PHP implementation of JSON schema

dev-php / jsonlint : JSON Lint for PHP

dev-php / phar-utils : PHAR file format utilities, for when PHP phars you up

dev-php / psr-log : Common interface for logging libraries

dev-php / semver : Semantic versioning utilities, constraint parsing, and checking

dev-php / spdx-licenses : Tools for working with and validating SPDX licenses

dev-php / symfony-console : Subtree split of the Symfony Console Component

dev-php / symfony-filesystem : Symfony Filesystem Component

dev-php / symfony-finder : Symfony Finder Component

dev-php / symfony-process : Symfony Process Component

dev-php / xdebug-handler : Restart a CLI process without loading the xdebug extension

Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-php/composer: bump to v1.9.0
Package-Manager: Portage-2.3.71, Repoman-2.3.17 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Brian Evans · gentoo
dev-php/composer: Remove HOMEPAGE from SRC_URI; add RESTRICT on test
Package-Manager: Portage-2.3.71, Repoman-2.3.17 Signed-off-by: Brian Evans <grknight@gentoo.org>
Brian Evans · gentoo
dev-php/composer: Drop old
Package-Manager: Portage-2.3.71, Repoman-2.3.17 Signed-off-by: Brian Evans <grknight@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
dev-php/composer: bump to v1.8.6
Package-Manager: Portage-2.3.68, Repoman-2.3.16 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Guillaume Seren · gentoo
dev-php/composer: version bump 1.8.4.
Closes: https://bugs.gentoo.org/679850 Package-Manager: Portage-2.3.51, Repoman-2.3.11 Signed-off-by: Guillaume Seren <guillaumeseren@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/11317 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Guillaume Seren · gentoo
dev-php/composer: version bump to 1.8.3.
Closes: https://bugs.gentoo.org/677658 Package-Manager: Portage-2.3.51, Repoman-2.3.11 Signed-off-by: Guillaume Seren <guillaumeseren@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/11024 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Tomas Mozes · gentoo
dev-php/composer: bump to 1.8.0
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/10673 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Tomas Mozes · gentoo
dev-php/composer: bump to 1.7.3
Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/10351 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Tomas Mozes · gentoo
dev-php/composer: bump to 1.7.2
Closes: https://bugs.gentoo.org/665426 Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com> Package-Manager: Portage-2.3.49, Repoman-2.3.10
Tomas Mozes · gentoo
dev-php/composer: bump to 1.6.5
Closes: https://github.com/gentoo/gentoo/pull/8144 Package-Manager: Portage-2.3.36, Repoman-2.3.9
Brian Evans · gentoo
dev-php/composer: Drop old
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Brian Evans · gentoo
dev-php/composer: Version bump
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Michael Orlitzky · gentoo
dev-php/composer: remove "unused" composer-1.5.5.ebuild.
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Guillaume Seren · gentoo
dev-php/composer: version bump to 1.6.2.
Closes: https://bugs.gentoo.org/644774
Michael Orlitzky · gentoo
dev-php/composer: remove unused composer-1.5.2-r1.ebuild.
Package-Manager: Portage-2.3.13, Repoman-2.3.3
Guillaume Seren · gentoo
dev-php/composer: Add version bump 1.5.5
Package-Manager: Portage-2.3.13, Repoman-2.3.3 Closes: https://bugs.gentoo.org/639504 Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
Michael Orlitzky · gentoo
dev-php/composer: remove old version 1.5.1.
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Michael Orlitzky · gentoo
dev-php/composer: bump the lower bound on dev-php/json-schema to v3.0.0.
The package.json file for composer says that json-schema v3, v4, or v5 are all good. The lower (inclusive) bound in the ebuild was v2, so it has been updated to >=3.0.0. Thanks to Guillaume Seren for noticing. Closes: https://github.com/gentoo/gentoo/pull/6099 Package-Manager: Portage-2.3.8, Repoman-2.3.3
Tomas Mozes · gentoo
dev-php/composer: bump to 1.5.2
Package-Manager: Portage-2.3.13, Repoman-2.3.4 Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
Michael Orlitzky · gentoo
dev-php/composer: drop unused version 1.4.1.
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Guillaume Seren · gentoo
dev-php/composer: Add version bump 1.5.1
Bump to 1.5.1 https://bugs.gentoo.org/show_bug.cgi?id=627908 Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
Michael Orlitzky · gentoo
dev-php/composer: version bump 1.3.1 -> 1.4.1.
This commit adds composer-1.4.1 and removes the old composer-1.3.1 at the same time, allowing me to mess with the autoload.php in-flight. We had one patch that was giving us trouble with v1.4.1, and this new ebuild is an experiment to see if we can do away with it. Instead of installing to /usr/share/php/Composer, the new v1.4.1 will install to /usr/share/composer, and only create a symlink from /usr/bin/composer to the "real" executable under /usr/share. Since the executable loads everything via relative paths, having the "real" executable under /usr/share (with the rest of its stuff) allows composer to find what it's looking for out-of-the box, without us having to point it towards our particular install location. As a result, I've removed the one patch that did so, and I've updated autoload.php with the new path. Thanks are due to Guillaume Seren who did most of the prerequisite work and stayed on top of the pull request and bug. Gentoo-Bug: 613898 Closes: https://github.com/gentoo/gentoo/pull/4364 Package-Manager: Portage-2.3.3, Repoman-2.3.1
Robin H. Johnson · gentoo
Drop $Id$ per council decision in bug #611234.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
T. Malfatti · gentoo
media-libs/portaudio: Version bump
Michael Orlitzky · gentoo
dev-php/composer: add a comment about installing the LICENSE file.
Package-Manager: portage-2.3.0
Michael Orlitzky · gentoo
dev-php/composer: remove old version 1.2.4.
Package-Manager: portage-2.3.0
Tomas Mozes · gentoo
dev-php/composer: bump to 1.3.1
Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
Michael Orlitzky · gentoo
dev-php/composer: remove old version 1.2.2.
Package-Manager: portage-2.3.0
Tomáš Mózes · gentoo
dev-php/composer: bump to 1.2.4
Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
Michael Orlitzky · gentoo
dev-php/composer: loosen restrictions on dependencies.
Many of this package's dependencies were declared with the tilde "~" operator. Per discussion with the maintainer, these are probably better off being "newer than" operators. We retain the lower bound set by upstream. Package-Manager: portage-2.3.0
Guillaume Seren · gentoo
dev-php/composer: Add 1.2.2 version
This package is a source alternative to the phar one. It use dev-php/fedora-autoloader to provide a PSR4 loader, for itself (composer) and all the dependencies, bug 439206. Suggested-by: Michael Orlitzky <mjo@gentoo.org> Signed-off-by: Michael Orlitzky <mjo@gentoo.org>